Get clients with their accounts
curl --request GET \
--url https://api.finsync.ar/api/clients \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/clients"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"company_id": 123,
"type": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"id": 123,
"name": "<string>",
"currency_name": "<string>",
"client_id": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"client_tags": [
{
"id": 123,
"client_id": 123,
"tag_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tag": {
"id": 123,
"name": "<string>",
"color": "#3b82f6",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}
],
"count": 123
}Clients
Get clients with their accounts
Retrieves a paginated list of clients with their associated accounts and client_tags for the company. Includes internal cajas (type=0) and external counterparties (type=1). Use ?type=0 or ?type=1 to filter.
GET
/
api
/
clients
Get clients with their accounts
curl --request GET \
--url https://api.finsync.ar/api/clients \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/clients"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"company_id": 123,
"type": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"id": 123,
"name": "<string>",
"currency_name": "<string>",
"client_id": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"client_tags": [
{
"id": 123,
"client_id": 123,
"tag_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"tag": {
"id": 123,
"name": "<string>",
"color": "#3b82f6",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}
],
"count": 123
}Authorizations
API Key for authentication
Query Parameters
Page number for pagination
Number of items per page
Filter clients by description (case-insensitive partial match)
Filter by client type: 0 = internal caja, 1 = external cuenta corriente. Omit to return both.
Available options:
0, 1